Bug 534745 - (RHQ-1511) purge values are calculated incorrectly into millis
purge values are calculated incorrectly into millis
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All All
high Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Jeff Weiss
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks: RHQ-1169
  Show dependency treegraph
 
Reported: 2009-02-09 14:21 EST by John Mazzitelli
Modified: 2014-11-09 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2009-02-09 14:21:00 EST
select property_key, property_value from rhq_system_config where property_key like '%_PURGE'

RT_DATA_PURGE	2678400000
ALERT_PURGE	2678400000
EVENT_PURGE	1209600000
TRAIT_PURGE	31536000000
AVAILABILITY_PURGE	31536000000

now go to admin>server config and change the values. Make them all 1 day:

RT_DATA_PURGE	60000
ALERT_PURGE	60000
EVENT_PURGE	60000
TRAIT_PURGE	60000
AVAILABILITY_PURGE	60000

Someone broke the conversion code. 1 day should result in "86400000", not 60000 (which is 1 minute)
Comment 1 John Mazzitelli 2009-02-09 14:24:36 EST
same thing with the CAM_DATA_MAINTENANCE value too
Comment 2 John Mazzitelli 2009-02-09 14:25:47 EST
and the same thing with baseline frequency and dataset
Comment 3 John Mazzitelli 2009-02-09 15:59:11 EST
recently, the admin page was split into several sub .jsp pages.

The <hq:constant> tags need to be added to two of those subpages.

The description shows how to test - just change the values and use SQL to look at the values of the properties in RHQ_SYSTEM_CONFIG. The property_key values you need to look at are:

RT_DATA_PURGE
ALERT_PURGE
EVENT_PURGE
TRAIT_PURGE
AVAILABILITY_PURGE 
CAM_BASELINE_FREQUENCY
CAM_BASELINE_DATASET
CAM_DATA_MAINTENANCE

The numbers should be high (6 digits or less is too low).
Comment 4 Jeff Weiss 2009-02-23 16:34:22 EST
Fixed, rev3078

property_key	property_value
ALERT_PURGE	86400000
EVENT_PURGE	86400000
TRAIT_PURGE	86400000
AVAILABILITY_PURGE	86400000
RT_DATA_PURGE	86400000
property_key	property_value
Query Time=1
Comment 5 Red Hat Bugzilla 2009-11-10 15:34:41 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1511

Note You need to log in before you can comment on or make changes to this bug.